/* ***********************************************************************
**
**  Copyright (C) 2005  Christian Kranz
**
**  Siemens S65 Display Control
**
**  modded by Juergen Eckert
**
*********************************************************************** */

#ifndef __S65_H
#define __S65_H


#define S65_DISP_W 		132
#define S65_DISP_H 		176
#define S65_CHAR_H 		14
#define S65_CHAR_W 		8
#define S65_TEXT_COL 		16
#define S65_TEXT_ROW 		12

#define USEQUICKLINES

#define S65_RGB(R,G,B)		(((R>>3)<<11) | ((G>>2)<<5) | ((B>>3)<<0))

#define	S65_PIC16_ID		0x0016
#define	S65_PIC15RLE_ID		0x0115
#define	S65_PIC12RLE_ID		0x0112
#define	S65_PIC10RLE_ID		0x0110
#define	S65_PIC8_ID		0x0008

extern uint16_t S65_Textcolor;  // color of border around text
extern uint16_t S65_Backcolor;    // color of background

struct picture
{
	unsigned int signature;
	unsigned char x;
	unsigned char y;
	union
	{
		unsigned int data16[0];
		unsigned char data8[0];
	};
};

void S65_Init(void);

void S65_Fillscreen(uint16_t color);

void S65_Putchar(uint8_t x, uint8_t y, char c, uint8_t rot);
void S65_Putstr(unsigned char x, unsigned char y, char* str, unsigned char rot);

void S65_Pixel(unsigned char x, unsigned char y, unsigned int color);
void S65_Line(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, unsigned int color);
void S65_Fillrectangle(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, unsigned int color);

void S65_Dawpic(unsigned char x, unsigned char y, void *addr, unsigned char rot);

#endif
// end of file disp.h
